跳至內容

ElevenLabs Speech to Text

整合

模型 id elevenlabs/speech-to-text
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/speech-to-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.03 30 API 點數 · ≈ ₽3.23 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
ElevenLabs 語音轉文字 #speech

一般語音轉錄,支援說話者分離、音訊事件標籤與單字層級詳細資訊

ElevenLabs · 文字

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 audio_url
拖放檔案,或

指向待轉錄音訊的 URL。

進階 language_code · tag_audio_events · diarize

識別音訊語言的代碼。

POST /run/elevenlabs/speech-to-text?wait=20 報價 → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/speech-to-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 ElevenLabs Speech to Text

將音訊檔案轉錄為文字。設定 `language_code`,或留空以自動偵測。`diarize` 會標註說話者,`tag_audio_events` 會標記笑聲等聲音,兩者預設皆開啟。輸出包含完整文字、語言及其偵測信心度,以及單字層級詳細資訊。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
audio_url必填 audio
類型url · audio
指向待轉錄音訊的 URL。
language_code選填
類型string | null
識別音訊語言的代碼。
tag_audio_events選填
類型boolean
預設值true
控制是否標記音訊事件,例如笑聲或掌聲。
diarize選填
類型boolean
預設值true
控制是否標註說話者身分。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/speech-to-text",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "text": "string",
    "language_code": "string",
    "language_probability": 1.0,
    "words": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0,
        "type": "string",
        "speaker_id": "string"
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
text
string轉錄內容的完整文字。
language_code
string透過偵測或明確指定取得的語言代碼。
language_probability
number偵測語言的信心分數。
words
array of object {text, start, end, type, speaker_id}個別字詞的轉錄資訊。

更多模型:語音轉文字

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/elevenlabs/speech-to-text.md. 所有模型與指南: https://doitong.com/developers/llms.txt